Sub ImageInsert_XY(sheetName As String, fileName As String, left As Double, top As Double, scall As Double)
    Call ImageInsert(sheetName, fileName, left, top, scall)
End Sub

Sub ImageInsert_CellAddress(sheetName As String, fileName As String, cell As String, scall As Double)
    Call ImageInsert(sheetName, fileName, Sheets(sheetName).Range(cell).left, Sheets(sheetName).Range(cell).top, scall)
End Sub

Sub ImageInsert(sheetName As String, fileName As String, left As Double, top As Double, scall As Double)
    Dim pic As Shape

    Set pic = Sheets(sheetName).Shapes.AddPicture( _
          fileName:=fileName, _
          linkToFile:=False, _
          saveWithDocument:=True, _
          left:=left, _
          top:=top, _
          width:=0, _
          height:=0)
          
    With pic
        .ScaleHeight scall, msoTrue
        .ScaleWidth scall, msoTrue
    End With
End Sub
